﻿using System;
using System.Linq;
using System.Windows;
using System.Windows.Threading;

namespace RadCarousel_WPF_NoXAML_45
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		MyViewModel viewModel;
		public MainWindow()
		{
			InitializeComponent();

			this.viewModel = this.Resources["MyViewModel"] as MyViewModel;		
		}

		int count; 
		private void Button1_Click(object sender, RoutedEventArgs e)
		{
			var club = new Club()
			{
				Name = "Club " + this.count
			};
			this.count++;

			this.viewModel.Clubs.Add(club);


			this.Dispatcher.BeginInvoke(new Action(() =>
				{
					this.carousel.BringDataItemIntoView(club);
				}), DispatcherPriority.Render);
		}
	}
}
